wxWidgets: wxRegConfig Class Reference

| Version: 3.1.5

Public Member Functions | List of all members
wxRegConfig Class Reference
Class List by Category » Application and System configuration

`#include </home/Hamis/wxwidgets-3.1/wxWidgets3.1-3.1.5-1.i686/src/wxWidgets-3.1.5/interface/wx/msw/regconf.h>`

Inheritance diagram for wxRegConfig:
[legend]

## Detailed Description

wxRegConfig implements the wxConfigBase interface for storing and retrieving configuration information using Windows registry.

This class is used by default for wxConfig on Windows platforms; see wxFileConfig for an alternative you may want to use (also on Windows).

##

Library: wxBase

<>< =''>:</>&;&;< =''>\ </></>

See also
  wxConfigBase

## Public Member Functions
| wxRegConfig (const wxString &appName=wxEmptyString, const wxString &vendorName=wxEmptyString, const wxString &localFilename=wxEmptyString, const wxString &globalFilename=wxEmptyString, long style=wxCONFIG_USE_GLOBAL_FILE)
| The wxRegConfig constructor. More...
Public Member Functions inherited from wxConfigBase
| wxConfigBase (const wxString &appName=wxEmptyString, const wxString &vendorName=wxEmptyString, const wxString &localFilename=wxEmptyString, const wxString &globalFilename=wxEmptyString, long style=0, const wxMBConv &conv=wxConvAuto())
| This is the default and only constructor of the wxConfigBase class, and derived classes. More...
virtual | ~wxConfigBase ()
| Empty but ensures that dtor of all derived classes is virtual. More...
virtual const wxString & | GetPath () const =0
| Retrieve the current path (always as absolute path). More...
virtual void | SetPath (const wxString &strPath)=0
| Set current path: if the first character is '/', it is the absolute path, otherwise it is a relative path. More...
bool | Exists (const wxString &strName) const
virtual wxConfigBase::EntryType | GetEntryType (const wxString &name) const
| Returns the type of the given entry or Unknown if the entry doesn't exist. More...
virtual bool | HasEntry (const wxString &strName) const =0
virtual bool | HasGroup (const wxString &strName) const =0
wxString | GetAppName () const
| Returns the application name. More...
wxString | GetVendorName () const
| Returns the vendor name. More...
virtual bool | Flush (bool bCurrentOnly=false)=0
| Permanently writes all changes (otherwise, they're only written from object's destructor). More...
bool | Read (const wxString &key, wxString *str) const
| Read a string from the key, returning true if the value was read. More...
bool | Read (const wxString &key, wxString *str, const wxString &defaultVal) const
| Read a string from the key. More...
const wxString | Read (const wxString &key, const wxString &defaultVal) const
| Another version of Read(), returning the string value directly. More...
bool | Read (const wxString &key, long *l) const
| Reads a long value, returning true if the value was found. More...
bool | Read (const wxString &key, long *l, long defaultVal) const
| Reads a long value, returning true if the value was found. More...
bool | Read (const wxString &key, wxLongLong_t *ll) const
| Reads a 64-bit long long value, returning true if the value was found. More...
virtual bool | GetFirstEntry (wxString &str, long &index) const =0
| Gets the first entry. More...
virtual bool | GetFirstGroup (wxString &str, long &index) const =0
| Gets the first group. More...
virtual bool | GetNextEntry (wxString &str, long &index) const =0
| Gets the next entry. More...
virtual bool | GetNextGroup (wxString &str, long &index) const =0
| Gets the next group. More...
virtual size_t | GetNumberOfEntries (bool bRecursive=false) const =0
| Get number of entries in the current group. More...
virtual size_t | GetNumberOfGroups (bool bRecursive=false) const =0
| Get number of entries/subgroups in the current group, with or without its subgroups. More...
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data. More...
| wxObject (const wxObject &other)
| Copy ctor. More...
virtual | ~wxObject ()
| Destructor. More...
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar). More...
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object. More...
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class. More...
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj. More...
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone. More...
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer. More...
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data. More...
void | UnShare ()
| This is the same of AllocExclusive() but this method is public. More...
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined. More...
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined. More...

## Additional Inherited Members
Public Types inherited from wxConfigBase
enum | EntryType { Type_Unknown , Type_String , Type_Boolean , Type_Integer , Type_Float }
| Gets the first entry. More...
Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object. More...
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it. More...
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data. More...
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data. More...

## Constructor & Destructor Documentation

## ◆ wxRegConfig()

wxRegConfig::wxRegConfig | ( | const wxString & | appName = `wxEmptyString`,
|  | const wxString & | vendorName = `wxEmptyString`,
|  | const wxString & | localFilename = `wxEmptyString`,
|  | const wxString & | globalFilename = `wxEmptyString`,
|  | long | style = `wxCONFIG_USE_GLOBAL_FILE`
| ) |  |

The wxRegConfig constructor.

For more info see the docs for the wxConfigBase::wxConfigBase() constructor.

Note that wxRegConfig's style argument defaults to `wxCONFIG_USE_GLOBAL_FILE`, i.e. to the use of the `HKLM` key (also known as "HKEY_LOCAL_MACHINE").